# Maintainer: anon at sansorgan.es
pkgname=dune-pdelab-tutorials
_tarver=remove-unused-scrpage2
_dunever=2.8.0
_tar="${_tarver}/${pkgname}-${_tarver}.tar.gz"
# pkgver=${_tarver//-/_}
pkgver=2021
pkgrel=1
#epoch=
pkgdesc="Tutorial for PDELab providing a range of examples"
arch=('x86_64')
url="https://dune-project.org/modules/dune-pdelab-tutorials"
license=('GPL2')
groups=('dune-pdelab-module')
depends=('dune-pdelab')
makedepends=('eigen' 'petsc') #dune-codegen sionlib dlmalloc
# makedepends=('texlive-latexextra' 'texlive-pictures' 'texlive-science' 'texlive-bibtexextra' 'texlive-fontsextra' 'imagemagick' 'python-sphinx' 'doxygen' 'gnu-free-fonts' 'inkscape' 'vc' 'superlu' 'arpackpp' 'suitesparse' 'zoltan' 'eigen' 'petsc') #dune-codegen sionlib dlmalloc
checkdepends=("dune-alugrid>=${_dunever}")
optdepends=('texlive-latexextra: Type setting system'
  'texlive-pictures: Packages for drawings graphics'
  'texlive-science: Typesetting for mathematics, natural and computer sciences'
  'texlive-bibtexextra: Additional BibTeX styles and bibliography databases'
  'texlive-fontsextra: all sorts of extra fonts'
  'imagemagick: image viewing/manipulation program'
  'python-sphinx: Building Sphinx documentation'
  'doxygen: Generate the class documentation from C++ sources'
  'inkscape: converts SVG images'
  'eigen: Lightweight C++ template library for vector and matrix math'
  'petsc: Portable, extensible toolkit for scientific computation')
#provides=()
#conflicts=()
#replaces=()
#backup=()
#options=()
#install=
#changelog=
source=(https://gitlab.dune-project.org/pdelab/${pkgname}/-/archive/${_tar})
#noextract=()
sha512sums=('74a850afa53112373b20df0d958726383a957d257bef2dcc8f26464ab39b44fb9e34e5894a1aafcfec5c2a30d2b513402cb8fd1dda6eafa382bd0e330c1962b3')

# prepare() {
# }

build() {
  cmake \
    -S ${pkgname}-${_tarver} \
    -B build-cmake \
    -DCMAKE_BUILD_TYPE=None \
    -DCMAKE_SKIP_RPATH=ON \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DBUILD_SHARED_LIBS=TRUE \
    -DCMAKE_CXX_STANDARD=17 \
    -DCMAKE_C_COMPILER=gcc \
    -DCMAKE_CXX_COMPILER=g++ \
    -DCMAKE_C_FLAGS='-Wall -fdiagnostics-color=always' \
    -DCMAKE_CXX_FLAGS="-Wall -fdiagnostics-color=always -mavx" \
    -DCMAKE_VERBOSE_MAKEFILE=ON \
    -DCMAKE_POSITION_INDEPENDENT_CODE=TRUE \
    -DENABLE_HEADERCHECK=ON \
    -Wno-dev
  cmake --build build-cmake --target all
}

check() {
  cmake --build build-cmake --target build_tests
  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:${srcdir}/build-cmake/lib/" ctest --verbose --output-on-failure --test-dir build-cmake
}

package() {
  DESTDIR="${pkgdir}" cmake --build build-cmake --target install
  install -m644 -D ${pkgname}-${_tarver}/COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
  # install -dm755 "${pkgdir}/usr/share/doc/${pkgname}/doxygen"
  find "${pkgdir}" -type d -empty -delete
}
